Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.optimization.linear
Class NoFeasibleSolutionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.math.MathException
                  org.apache.commons.math.ConvergenceException
                      org.apache.commons.math.optimization.OptimizationException
                          org.apache.commons.math.optimization.linear.NoFeasibleSolutionException

All Implemented Interfaces:
  Serializable, MathThrowable

    public class NoFeasibleSolutionException

extends OptimizationException

This class represents exceptions thrown by optimizers when no solution fulfills the constraints.

Since:
  2.0
Version:
  $Revision: 983921 $ $Date: 2010-08-10 12:46:06 +0200 (mar. 10 aoÃ»t 2010) $
See Also:
  Serialized Form

Constructor Summary
`NoFeasibleSolutionException()` Simple constructor using a default message.

Method Summary

Methods inherited from class org.apache.commons.math.MathException
`getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getPattern, getSpecificPattern, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoFeasibleSolutionException

    public NoFeasibleSolutionException()

  Simple constructor using a default message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.